Subject: bug#37213: Execute set-window-margins. left-margin-width remains 0.

From: martin rudalics <[email-masked]>
Date: Sun, 1 Sep 2019 10:26:35 +0200

> Is the read value well-defined?  Never having set it, the value it has
 > seems always to be 0.

All margin-related values are zero by default.

 > But even if it is well-defined, is it useful for
 > anything?

To keep you informed about the sizes of the margins of a window
whenever the buffer will be shown in it via 'set-window-buffer'.

 > Yes, that's the thing.  We don't have "window local variables" in Emacs,
 > so anything specific to a window needs a function interface with the
 > window being one of the parameters.

Right.  Windows behave like frames in this regard.

 > I've proposed a simple amendment to the "Display Margins" page of the
 > elisp manual, saying "don't use these variables to ....!".  This would
 > solve the misunderstanding I experienced earlier.

Hmm...  What is the "current width of the left or right margin"?

martin